List Standalone VMs Endpoint
import requests
url = "https://platform.ankra.app/api/v1/clusters/digitalocean/{cluster_id}/vms"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/clusters/digitalocean/{cluster_id}/vms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/clusters/digitalocean/{cluster_id}/vms \
--header 'Authorization: Bearer <token>'{
"vms": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"server_name": "<string>",
"instance_type": "<string>",
"location": "<string>",
"public_ip": true,
"state": "<string>",
"public_address": "<string>",
"private_address": "<string>",
"provider_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}DigitalOcean Clusters
List Standalone VMs Endpoint
GET
/
api
/
v1
/
clusters
/
digitalocean
/
{cluster_id}
/
vms
List Standalone VMs Endpoint
import requests
url = "https://platform.ankra.app/api/v1/clusters/digitalocean/{cluster_id}/vms"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/clusters/digitalocean/{cluster_id}/vms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/clusters/digitalocean/{cluster_id}/vms \
--header 'Authorization: Bearer <token>'{
"vms": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"server_name": "<string>",
"instance_type": "<string>",
"location": "<string>",
"public_ip": true,
"state": "<string>",
"public_address": "<string>",
"private_address": "<string>",
"provider_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Show child attributes
Show child attributes